## org.eclipse.emf.ecore.util
Class FeatureMapUtil

    java.lang.Object
      org.eclipse.emf.ecore.util.FeatureMapUtil

    public final class FeatureMapUtil

extends java.lang.Object

Nested Class Summary
`static class` `FeatureMapUtil.BasicFeatureEIterator<E>`
`static class` `FeatureMapUtil.BasicValidator`
`static class` `FeatureMapUtil.EntryImpl`
`static class` `FeatureMapUtil.FeatureEList<E>`
`static class` `FeatureMapUtil.FeatureENotificationImpl`
`static class` `FeatureMapUtil.FeatureFeatureMap`
`static class` `FeatureMapUtil.FeatureValue`
`static interface` `FeatureMapUtil.Validator`

Field Summary
`protected static FeatureMapUtil.Validator` `NULL_VALIDATOR`
`protected static java.lang.Class<FeatureMapUtil.Validator>` `VALIDATOR_CLASS`

Method Summary
`static void` `addCDATA(FeatureMap featureMap, int index, java.lang.String cdata)`
`static void` `addCDATA(FeatureMap featureMap, java.lang.String cdata)`
`static void` `addComment(FeatureMap featureMap, int index, java.lang.String comment)`
`static void` `addComment(FeatureMap featureMap, java.lang.String comment)`
`static void` `addProcessingInstruction(FeatureMap featureMap, int index, java.lang.String target, java.lang.String data)`
`static void` `addProcessingInstruction(FeatureMap featureMap, java.lang.String target, java.lang.String data)`
`static void` `addText(FeatureMap featureMap, int index, java.lang.String text)`
`static void` `addText(FeatureMap featureMap, java.lang.String text)`
`static FeatureMap.Entry` `createCDATAEntry(java.lang.String value)`
`static FeatureMap.Entry` `createCommentEntry(java.lang.String value)`
`static FeatureMap.Entry` `createEntry(EStructuralFeature eStructuralFeature, java.lang.Object value)`
`static FeatureMap.Entry` `createProcessingInstructionEntry(java.lang.String target, java.lang.String data)`
`static FeatureMap.Entry.Internal` `createRawCDATAEntry(java.lang.String value)`
`static FeatureMap.Entry.Internal` `createRawCommentEntry(java.lang.String value)`
`static FeatureMap.Entry.Internal` `createRawEntry(EStructuralFeature eStructuralFeature, java.lang.Object value)`
`static FeatureMap.Entry.Internal` `createRawProcessingInstructionEntry(java.lang.String target, java.lang.String data)`
`static FeatureMap.Entry.Internal` `createRawTextEntry(java.lang.String value)`
`static FeatureMap.Entry` `createTextEntry(java.lang.String value)`
`static FeatureMapUtil.Validator` `getValidator(EClass containingClass, EStructuralFeature eStructuralFeature)`
`static boolean` `isCDATA(EStructuralFeature eStructuralFeature)`
`static boolean` `isCDATA(FeatureMap.Entry entry)`
`static boolean` `isComment(EStructuralFeature eStructuralFeature)`
`static boolean` `isComment(FeatureMap.Entry entry)`
`static boolean` `isFeatureMap(EStructuralFeature eStructuralFeature)`
`static boolean` `isFeatureMapEntry(EClassifier eClassifier)`
`static boolean` `isMany(EObject owner, EStructuralFeature feature)`
`static boolean` `isProcessingInstruction(EStructuralFeature eStructuralFeature)`
`static boolean` `isProcessingInstruction(FeatureMap.Entry entry)`
`static boolean` `isText(EStructuralFeature eStructuralFeature)`
`static boolean` `isText(FeatureMap.Entry entry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATOR_CLASS

    protected static final java.lang.Class<FeatureMapUtil.Validator> VALIDATOR_CLASS

### NULL_VALIDATOR

    protected static FeatureMapUtil.Validator NULL_VALIDATOR

Method Detail

### addText

    public static void addText(FeatureMap featureMap,
                               java.lang.String text)

### addText

    public static void addText(FeatureMap featureMap,
                               int index,
                               java.lang.String text)

### isText

    public static boolean isText(FeatureMap.Entry entry)

### isText

    public static boolean isText(EStructuralFeature eStructuralFeature)

### addCDATA

    public static void addCDATA(FeatureMap featureMap,
                                java.lang.String cdata)

### addCDATA

    public static void addCDATA(FeatureMap featureMap,
                                int index,
                                java.lang.String cdata)

### isCDATA

    public static boolean isCDATA(FeatureMap.Entry entry)

### isCDATA

    public static boolean isCDATA(EStructuralFeature eStructuralFeature)

### addComment

    public static void addComment(FeatureMap featureMap,
                                  java.lang.String comment)

### addComment

    public static void addComment(FeatureMap featureMap,
                                  int index,
                                  java.lang.String comment)

### isComment

    public static boolean isComment(FeatureMap.Entry entry)

### isComment

    public static boolean isComment(EStructuralFeature eStructuralFeature)

### addProcessingInstruction

    public static void addProcessingInstruction(FeatureMap featureMap,
                                                java.lang.String target,
                                                java.lang.String data)

### addProcessingInstruction

    public static void addProcessingInstruction(FeatureMap featureMap,
                                                int index,
                                                java.lang.String target,
                                                java.lang.String data)

### isProcessingInstruction

    public static boolean isProcessingInstruction(FeatureMap.Entry entry)

### isProcessingInstruction

    public static boolean isProcessingInstruction(EStructuralFeature eStructuralFeature)

### isFeatureMap

    public static boolean isFeatureMap(EStructuralFeature eStructuralFeature)

### isFeatureMapEntry

    public static boolean isFeatureMapEntry(EClassifier eClassifier)

### createTextEntry

    public static FeatureMap.Entry createTextEntry(java.lang.String value)

### createCDATAEntry

    public static FeatureMap.Entry createCDATAEntry(java.lang.String value)

### createCommentEntry

    public static FeatureMap.Entry createCommentEntry(java.lang.String value)

### createProcessingInstructionEntry

    public static FeatureMap.Entry createProcessingInstructionEntry(java.lang.String target,
                                                                    java.lang.String data)

### createEntry

    public static FeatureMap.Entry createEntry(EStructuralFeature eStructuralFeature,
                                               java.lang.Object value)

### createRawEntry

    public static FeatureMap.Entry.Internal createRawEntry(EStructuralFeature eStructuralFeature,
                                                           java.lang.Object value)

### createRawTextEntry

    public static FeatureMap.Entry.Internal createRawTextEntry(java.lang.String value)

### createRawCDATAEntry

    public static FeatureMap.Entry.Internal createRawCDATAEntry(java.lang.String value)

### createRawCommentEntry

    public static FeatureMap.Entry.Internal createRawCommentEntry(java.lang.String value)

### createRawProcessingInstructionEntry

    public static FeatureMap.Entry.Internal createRawProcessingInstructionEntry(java.lang.String target,
                                                                                java.lang.String data)

### getValidator

    public static FeatureMapUtil.Validator getValidator(EClass containingClass,
                                                        EStructuralFeature eStructuralFeature)

### isMany

    public static boolean isMany(EObject owner,
                                 EStructuralFeature feature)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.